const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    FLY_OPEN = Lang.fly_open,
    FLY_CLOSE = Lang.fly_close,
    FLY = Lang.fly;

mc.listen("onJoin", (player) => {
    if (player.isCreative == true || player.canFly == true) {
        player.setAbility(10, true);
    }
});

mc.listen("onServerStarted", () => {
    let flyCmd = mc.newCommand("fly", `${FLY}`, PermType.Any);
    
    flyCmd.setCallback(function (_cmd, ori, out) {
        if (!ori.player) return out.error(ORI_ERROR);
        let canFly = !ori.player.canFly;
        ori.player.setAbility(10, canFly);
        ori.player.tell(`${FLY}${canFly ? FLY_OPEN : FLY_CLOSE}`);
    });

    flyCmd.overload([]);
    flyCmd.setup();
});